Entity Class Reference

`#include <Entity.h>`

Inheritance diagram for Entity:

List of all members.

## Public Member Functions

| Entity (GameWorld *const gameWorld)
virtual | ~Entity (void)
void | Prepare (float dt)
void | Render (void) const
void | PostRender (void)
bool | Initialize (void)
void | Shutdown (void)
bool | CanBeRemoved (void) const
void | Destroy (void)
virtual Vector2 | GetPosition (void) const =0
virtual void | SetPosition (const Vector2 &position)=0
virtual EntityType | GetType (void) const =0

## Detailed Description

Definition at line 15 of file Entity.h.

## Constructor & Destructor Documentation

Entity::Entity | ( | GameWorld *const | gameWorld | ) |

Definition at line 3 of file Entity.cpp.

Entity::~Entity | ( | void |  | ) | `[virtual]`

Definition at line 7 of file Entity.cpp.

## Member Function Documentation

bool Entity::CanBeRemoved | ( | void |  | ) | const

Definition at line 9 of file Entity.cpp.

void Entity::Destroy | ( | void |  | ) |

Definition at line 13 of file Entity.cpp.

virtual Vector2 Entity::GetPosition | ( | void |  | ) | const`[pure virtual]`

virtual EntityType Entity::GetType | ( | void |  | ) | const`[pure virtual]`

bool Entity::Initialize | ( | void |  | ) |

Definition at line 29 of file Entity.cpp.

void Entity::PostRender | ( | void |  | ) |

void Entity::Prepare | ( | float | dt | ) |

Definition at line 17 of file Entity.cpp.

void Entity::Render | ( | void |  | ) | const

Definition at line 21 of file Entity.cpp.

virtual void Entity::SetPosition | ( | const Vector2 & | position | ) | `[pure virtual]`

void Entity::Shutdown | ( | void |  | ) |

Definition at line 33 of file Entity.cpp.

The documentation for this class was generated from the following files:

- src/libUnuk/Entity.h
- src/libUnuk/Entity.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines